Name:		fetchmail
Version:	6.3.1
Release:	1.norlug
URL:		http://fetchmail.berlios.de/
Source:     http://download.berlios.de/fetchmail/%{name}-%{version}.tar.bz2
Group:		Applications/Mail
License:	GPL
Icon:		fetchmail.xpm
Requires:	smtpdaemon
BuildRoot:	/var/tmp/%{name}-%{version}
Summary:	Full-featured POP/IMAP mail retrieval daemon

%description
Fetchmail is a free, full-featured, robust, and well-documented remote
mail retrieval and forwarding utility intended to be used over
on-demand TCP/IP links (such as SLIP or PPP connections).  It
retrieves mail from remote mail servers and forwards it to your local
(client) machine's delivery system, so it can then be be read by
normal mail user agents such as mutt, elm, pine, (x)emacs/gnus, or mailx.
Comes with an interactive GUI configurator suitable for end-users.

%package -n fetchmailconf
Summary:        A GUI configurator for generating fetchmail configuration files
Group:          Utilities/System
Requires:       %{name} = %{version}, python

%description -n fetchmailconf
A GUI configurator for generating fetchmail configuration file written in
python

%prep
%setup -q

%build
LDFLAGS="-s"
export CFLAGS LDFLAGS
./configure --prefix=/usr --disable-nls --without-kerberos --mandir=%{_mandir} \
    --with-ssl --enable-inet6
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT/{etc/X11/wmconfig,usr/lib/rhs/control-panel}
make install prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT%{_mandir}/man1
cp rh-config/*.{xpm,init} $RPM_BUILD_ROOT/usr/lib/rhs/control-panel
rm -rf contrib/RCS
chmod 644 contrib/*
cp rh-config/fetchmailconf.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/fetchmailconf
cd $RPM_BUILD_ROOT%{_mandir}/man1
ln -sf fetchmail.1 fetchmailconf.1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (644, root, root, 755)
%doc README NEWS NOTES FAQ COPYING FEATURES contrib
%doc fetchmail-features.html fetchmail-FAQ.html design-notes.html
%attr(644, root, man) %{_mandir}/man1/*.1*
%attr(755, root, root) /usr/bin/fetchmail
%attr(644,root,root) /etc/X11/wmconfig/fetchmailconf
%attr(755,root,root) /usr/bin/fetchmailconf
/usr/lib/rhs/control-panel/fetchmailconf.xpm
/usr/lib/rhs/control-panel/fetchmailconf.init

%changelog
* Mon Dec 19 2005 Chip Cuccio <chipster@norlug.org> 6.3.1-1
- update to 6.3.1

* Thu Dec 1 2005 Chip Cuccio <chipster@norlug.org> 6.3.0-1
- updated to 6.3.0
- updated relevant URLs

* Thu Nov 17 2005 Chip Cuccio <chipster@norlug.org> 6.2.5.4-1
- update to 6.2.5.4

* Thu Aug 4 2005 Chip Cuccio <chipster@norlug.org> 6.2.5.2-3
- fixed SSL support

* Sun Jul 24 2005 Chip Cuccio <chipster@norlug.org> 6.2.5.2-1
- update to 6.2.5.2

* Mon Oct 20 2003 Chip Cuccio <chipster@norlug.org> 6.2.5-1
- update to 6.2.5

* Thu Sep 25 2003 Chip Cuccio <chipster@norlug.org> 6.2.4-2
- initial build for rh-7.3

